summaryrefslogtreecommitdiffstats
path: root/development/autoconf-archive
diff options
context:
space:
mode:
author Hunter Sezen2018-04-05 17:03:23 +0200
committer Willy Sudiarto Raharjo2018-04-07 03:13:11 +0200
commit540ae9e733a4fab597a9b020bbd97ed97b4d04ba (patch)
treee88a9481b5632cbefb740cf71570a67558a17cd9 /development/autoconf-archive
parent50c3e1126285094f12d0235e9892eab6d144f9a0 (diff)
downloadslackbuilds-540ae9e733a4fab597a9b020bbd97ed97b4d04ba.tar.gz
development/autoconf-archive: Added (GNU Autoconf macros).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'development/autoconf-archive')
-rw-r--r--development/autoconf-archive/README15
-rw-r--r--development/autoconf-archive/autoconf-archive.SlackBuild74
-rw-r--r--development/autoconf-archive/autoconf-archive.info10
-rw-r--r--development/autoconf-archive/slack-desc19
4 files changed, 118 insertions, 0 deletions
diff --git a/development/autoconf-archive/README b/development/autoconf-archive/README
new file mode 100644
index 0000000000..e9857f8ddf
--- /dev/null
+++ b/development/autoconf-archive/README
@@ -0,0 +1,15 @@
+The GNU Autoconf Archive is a collection of more than 500 macros for
+GNU Autoconf that have been contributed as free software by friendly
+supporters of the cause from all over the Internet. Every single one of
+those macros can be re-used without imposing any restrictions whatsoever
+on the licensing of the generated configure script. In particular, it is
+possible to use all those macros in configure scripts that are meant for
+non-free software. This policy is unusual for a Free Software Foundation
+project. The FSF firmly believes that software ought to be free, and
+software licenses like the GPL are specifically designed to ensure that
+derivative work based on free software must be free as well. In case of
+Autoconf, however, an exception has been made, because Autoconf is at
+such a pivotal position in the software development tool chain that the
+benefits from having this tool available as widely as possible outweigh
+the disadvantage that some authors may choose to use it, too, for
+proprietary software.
diff --git a/development/autoconf-archive/autoconf-archive.SlackBuild b/development/autoconf-archive/autoconf-archive.SlackBuild
new file mode 100644
index 0000000000..19f260e806
--- /dev/null
+++ b/development/autoconf-archive/autoconf-archive.SlackBuild
@@ -0,0 +1,74 @@
+#!/bin/sh
+
+# Slackware build script for autoconf-archive
+
+# Copyright 2018 Hunter Sezen California, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=autoconf-archive
+VERSION=${VERSION:-2018.03.13}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+./configure \
+ --prefix=/usr \
+ --infodir=/usr/info \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*.info*
+
+# autoconf-archive does not respect --docdir
+mkdir -p $PKG/usr/doc
+mv $PKG/usr/share/$PRGNAM $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ChangeLog INSTALL NEWS TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/autoconf-archive/autoconf-archive.info b/development/autoconf-archive/autoconf-archive.info
new file mode 100644
index 0000000000..301c231635
--- /dev/null
+++ b/development/autoconf-archive/autoconf-archive.info
@@ -0,0 +1,10 @@
+PRGNAM="autoconf-archive"
+VERSION="2018.03.13"
+HOMEPAGE="https://www.gnu.org/software/autoconf-archive/"
+DOWNLOAD="http://ftp.wayne.edu/gnu/autoconf-archive/autoconf-archive-2018.03.13.tar.xz"
+MD5SUM="46b13a5936372297b6d49980327a3c35"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Hunter Sezen"
+EMAIL="orbea@fredslev.dk"
diff --git a/development/autoconf-archive/slack-desc b/development/autoconf-archive/slack-desc
new file mode 100644
index 0000000000..5264c36ece
--- /dev/null
+++ b/development/autoconf-archive/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+autoconf-archive: autoconf-archive (GNU Autoconf macros)
+autoconf-archive:
+autoconf-archive: The GNU Autoconf Archive is a collection of more than 500 macros for
+autoconf-archive: GNU Autoconf that have been contributed as free software by friendly
+autoconf-archive: supporters of the cause from all over the Internet.
+autoconf-archive:
+autoconf-archive: Homepage: https://www.gnu.org/software/autoconf-archive/
+autoconf-archive:
+autoconf-archive:
+autoconf-archive:
+autoconf-archive: